libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

isdb_desc_partial_reception Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the partial reception descriptor. More...

`#include <desc_partial_reception.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
struct isdb_partial_reception_service_id * | partial_reception

## Detailed Description

Structure containing the partial reception descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  partial_reception | vector of struct isdb_partial_reception_service_id. The length of the vector is given by: length / sizeof(struct isdb_partial_reception_service_id).

Definition at line 71 of file desc_partial_reception.h.

## Field Documentation

## ◆ length

uint8_t isdb_desc_partial_reception::length

Definition at line 73 of file desc_partial_reception.h.

## ◆ next

struct dvb_desc* isdb_desc_partial_reception::next

Definition at line 74 of file desc_partial_reception.h.

## ◆ partial_reception

struct isdb_partial_reception_service_id* isdb_desc_partial_reception::partial_reception

Definition at line 76 of file desc_partial_reception.h.

## ◆ type

uint8_t isdb_desc_partial_reception::type

Definition at line 72 of file desc_partial_reception.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_partial_reception.h